1

目前我有 AutoCAD 2012 并想升级到 AutoCAD 2013。

我有一个自定义添加到我的 AutoCAD。但是当我尝试加载这个时,我得到了这个:

COM.VLX 已加载。错误:ARXLOAD 失败

    Here is a part of my acaddoc.lsp:
    ;; ACADDOC.LSP is loaded into memory before the drawing is completely     
    ;; initialized. S::STARTUP is called when a new drawing or an existing    
    ;; drawing is opened. And is guaranteed to perform any setup operations   
    ;; after a drawing is initialized.                                        

    (defun LoadARXVBA(/ strplatform strExt)
      (if (wcmatch (getvar "platform") "*(x64)*")
        (setq strExt "x64.arx")
        (setq strExt ".arx")
      )  

             ;; load arx modules
             (arxload (strcat "DetectESC" strExt))
             (arxload (strcat "osnap" strExt))
             (arxload (strcat "beditReactor" strExt))
             ;; load vba projects
             (vla-loaddvb (acadobject) (findfile "sinkblock.dvb"))
             (vla-loaddvb (acadobject) (findfile "triggers.dvb"))
             (if (member "plotlog.arx" (arx));if loaded by acad.rx
                 (vla-loaddvb (acadobject) (findfile "PlotLog.dvb"))
             )   
             ;; connect to plotlog server
             (if (member (strcat "plotlog" strExt) (arx))
               (vla-runmacro (acadobject) "StartMonitor")
             )   
             ;; visuallisp projects
             (load "base.vlx")
             (load "startup.vlx")
         (load "TSLOAD"); Load TIMESAVERS' commands:
             (defun EVALCHK (dummy / ) 1)
             ;; run stuff
             (startup)
    )  


(defun-q    main(/)
    ;; load visuallisp & vba projects
    (setvar "screenmenu" 1) 
    (setvar "menubar" 1)    
    (load "com.vlx")
    (if (eq (vla-get-visible (acadobject)) :vlax-true)
      (LoadARXVBA)

    ) ;end if
    (princ)
) ;end main

(setvar "savetime" 8) 



;; append 'main function to any posible existing S::STARTUP function
(setq s::startup (append s::startup main))
;|«Visual LISP© Format Options»
(100 2 1 2 nil "end of " 100 70 0 0 nil T T nil T)
;*** DO NOT add text below the comment! ***|;

谁能帮我这个?我在某些地方读到arx加载发生了一些变化......

4

2 回答 2

0

下载 ObjectARX 2013:http ://usa.autodesk.com/adsk/servlet/item?siteID=123112&id=785550并使用 2013 SDK 重建您的解决方案。

这是 AutoCAD 2013 和 MSVC 2010 的 ObjectARX 向导:http ://usa.autodesk.com/adsk/servlet/item?siteID=123112&id=785550

希望它有所帮助。

汤姆,

于 2014-04-22T12:39:50.093 回答
0

ARX 模块需要使用 ObjectARX 2013 SDK 重新构建,以便在 AutoCAD 2013 中使用。

于 2013-01-27T04:14:16.847 回答